/*
 * @description:CSRF 相关设置
 * @Author: CP
 * @Date: 2020-08-28 15:47:10
 * @FilePath: \construction_management\web\middleware\csrf.go
 */
package middleware

import (
	"github.com/iris-contrib/middleware/csrf"
	"github.com/kataras/iris/v12"
)

//设置CSRF信息
func SetCsrf(ctx iris.Context) {
	// ctx.Header("X-CSRF-Token", csrf.Token(ctx))
	// fmt.Println(csrf.TemplateTag)
	// fmt.Println(csrf.TemplateField(ctx))
	// fmt.Println(csrf.Token(ctx))
	// ctx.Values().Set("csrf.Form", "csrfToken")
	// fmt.Println(ctx.Values().Get("csrf.Form"))

	ctx.ViewData(csrf.TemplateTag, csrf.TemplateField(ctx))
	ctx.Next()
}

// func NewCsrf() iris.Handler {
// 	protect := csrf.Protect([]byte("9AB0F421E53A477C084477AEA06096F5"))
// 	csrf.Secure(false)
// 	return protect
// }
